> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/nemo/fabric/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/nemo/fabric/_mcp/server.

# Enum OAuth Token Endpoint Auth Method

> OAuth client authentication method used at the token endpoint.

Generated from `cargo doc --no-deps -p nemo-fabric-core`.

```rust
pub enum OAuthTokenEndpointAuthMethod {
    None,
    ClientSecretPost,
    ClientSecretBasic,
}
```

OAuth client authentication method used at the token endpoint.

## Variants

### `None`

<pre />

Public client without a client secret.

### `ClientSecretPost`

<pre />

Send the client secret in the token request body.

### `ClientSecretBasic`

<pre />

Send the client credentials with HTTP Basic authentication.

## Trait Implementations

### `impl Clone for OAuthTokenEndpointAuthMethod`

<pre />

#### `clone`

<pre />

#### `clone_from`

<pre />

### `impl Debug for OAuthTokenEndpointAuthMethod`

<pre />

#### `fmt`

<pre />

### `impl<'de> Deserialize<'de> for OAuthTokenEndpointAuthMethod`

<pre />

#### `deserialize`

<pre />

### `impl JsonSchema for OAuthTokenEndpointAuthMethod`

<pre />

#### `schema_name`

<pre />

#### `schema_id`

<pre />

#### `json_schema`

<pre />

#### `inline_schema`

<pre />

### `impl PartialEq for OAuthTokenEndpointAuthMethod`

<pre />

#### `eq`

<pre />

#### `ne`

<pre />

### `impl Serialize for OAuthTokenEndpointAuthMethod`

<pre />

#### `serialize`

<pre />

### `impl Copy for OAuthTokenEndpointAuthMethod`

<pre />

### `impl Eq for OAuthTokenEndpointAuthMethod`

<pre />

### `impl StructuralPartialEq for OAuthTokenEndpointAuthMethod`

<pre />